Package org.apache.felix.framework

# Class FrameworkFactory

java.lang.Object
org.apache.felix.framework.FrameworkFactory

All Implemented Interfaces:
  `FrameworkFactory`

public class FrameworkFactory extends Object implements FrameworkFactory

## Constructor Summary

Constructors
Constructor
Description
`FrameworkFactory()`

## Method Summary

Modifier and Type
Method
Description
`Framework`
`newFramework(Map configuration)`
Create a new `Framework` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameworkFactory

public FrameworkFactory()

## Method Details

### newFramework

public Framework newFramework(Map configuration)
Description copied from interface: `FrameworkFactory`
Create a new `Framework` instance.

Specified by:
  `newFramework` in interface `FrameworkFactory`
Parameters:
  `configuration` - The framework properties to configure the new framework instance. If framework properties are not provided by the configuration argument, the created framework instance must use some reasonable default configuration appropriate for the current VM. For example, the system packages for the current execution environment should be properly exported. The specified configuration argument may be `null`. The created framework instance must copy any information needed from the specified configuration argument since the configuration argument can be changed after the framework instance has been created.
Returns:
  A new, configured `Framework` instance. The framework instance must be in the `Bundle.INSTALLED` state.